import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataNullDataSourceConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly hasComputedDefault?: string;
    /**
     * @stability stable
     */
    readonly inputs?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class DataNullDataSource extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataNullDataSourceConfig);
    private _hasComputedDefault?;
    /**
     * @stability stable
     */
    get hasComputedDefault(): string;
    /**
     * @stability stable
     */
    set hasComputedDefault(value: string);
    /**
     * @stability stable
     */
    resetHasComputedDefault(): void;
    /**
     * @stability stable
     */
    get hasComputedDefaultInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _inputs?;
    /**
     * @stability stable
     */
    get inputs(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set inputs(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetInputs(): void;
    /**
     * @stability stable
     */
    get inputsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    outputs(key: string): string;
    /**
     * @stability stable
     */
    get random(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
